# Generated by Django 3.2.9 on 2021-11-14 22:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('drfapp', '0002_student_description'),
    ]

    operations = [
        migrations.CreateModel(
            name='DiagnosticoPresuntivo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Estado',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.FloatField()),
                ('estado_anterior', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='estados', to='drfapp.estado')),
            ],
        ),
        migrations.CreateModel(
            name='Estudio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('presupuesto', models.FloatField()),
                ('diagnostico_presuntivo', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.diagnosticopresuntivo')),
                ('estado', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.estado')),
            ],
        ),
        migrations.CreateModel(
            name='Informe',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resultado', models.BooleanField()),
                ('detalle', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Liquidacion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monto', models.FloatField()),
                ('liquidado', models.BooleanField(default=False)),
            ],
        ),
        migrations.CreateModel(
            name='Lote',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('lleno', models.BooleanField(default=False)),
                ('despachado', models.BooleanField(default=False)),
                ('estudio', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='lotes', to='drfapp.estudio')),
            ],
        ),
        migrations.CreateModel(
            name='Muestra',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cantidad', models.FloatField()),
                ('nro_freezer', models.IntegerField()),
                ('liquidacion', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='muestras', to='drfapp.liquidacion')),
            ],
        ),
        migrations.CreateModel(
            name='ObraSocial',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50, unique=True)),
                ('email', models.CharField(max_length=50, unique=True)),
                ('telefono', models.CharField(max_length=50, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Paciente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50)),
                ('apellido', models.CharField(max_length=50)),
                ('dni', models.CharField(max_length=50, unique=True)),
                ('fecha_nacimiento', models.DateField()),
                ('email', models.CharField(max_length=100, unique=True)),
                ('telefono', models.CharField(max_length=50)),
                ('nombre_contacto', models.CharField(max_length=50)),
                ('telefono_contacto', models.CharField(max_length=50)),
                ('historia_clinica', models.CharField(max_length=50)),
                ('obra_social', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='paciente', to='drfapp.obrasocial')),
            ],
        ),
        migrations.CreateModel(
            name='TipoEstudio',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=50, unique=True)),
                ('monto_extraccion', models.FloatField()),
            ],
        ),
        migrations.CreateModel(
            name='Turno',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField(unique=True)),
            ],
        ),
        migrations.DeleteModel(
            name='Student',
        ),
        migrations.AddField(
            model_name='estudio',
            name='informe',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.informe'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='muestra',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.muestra'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='paciente',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.paciente'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='tipo_estudio',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.tipoestudio'),
        ),
        migrations.AddField(
            model_name='estudio',
            name='turno',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='estudios', to='drfapp.turno'),
        ),
    ]
